package com.company;

import java.io.Serializable;

public class Header implements Serializable {
    public REQUEST_TYPE Type;
    public Object Data;
}

enum REQUEST_TYPE {
    USER,
    BILL,
}

class UserTransport implements Serializable {
    public USER_TRANSPORT_TYPE Type = USER_TRANSPORT_TYPE.DEFAULT;
    public String Login;
    public String Password;
    public String Name;
    public String Phone;
}

enum USER_TRANSPORT_TYPE {
    DEFAULT,
    REGISTRATION,
    AUTHORIZATION,
}

class BillTransport implements Serializable {
    public BILL_TRANSPORT_TYPE TYPE = BILL_TRANSPORT_TYPE.DEFAULT;
    public String BILL_NUMBER;
    public String PIN;
    public String FULLNAME;
    public String PHONE;
    public String PASSPORT;
    public double BALANCE;
}

/**
 * Типы сообщений операций со счётом
 */
enum BILL_TRANSPORT_TYPE {
    DEFAULT,
    /**
     * Пополнить баланс
     */
    DEPOSIT,
    /**
     * Снять с счёта
     */
    WITHDRAW,
    /**
     * Прекратить действие договора
     */
    BREAK_CONTRACT,
    /**
     * Открыть новый счёт
     */
    SIGN_CONTRACT,
    /**
     * Авторизация в системе (ввод номера счёта и пин-кода)
     */
    AUTHORIZATION,
}